org.jbpm.ruleflow.core.factory

## Class EventNodeFactory

- java.lang.Object
- - org.jbpm.ruleflow.core.factory.NodeFactory
  - - org.jbpm.ruleflow.core.factory.EventNodeFactory

-     public class EventNodeFactory
      extends NodeFactory

- - ### Field Summary

    - ### Fields inherited from class org.jbpm.ruleflow.core.factory.NodeFactory

      `nodeContainerFactory`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EventNodeFactory(RuleFlowNodeContainerFactory nodeContainerFactory, NodeContainer nodeContainer, long id)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected Node` | `createNode()`
    `EventNodeFactory` | `eventFilter(EventFilter eventFilter)`
    `EventNodeFactory` | `eventTransformer(EventTransformer transformer)`
    `EventNodeFactory` | `eventType(String eventType)`
    `protected EventNode` | `getEventNode()`
    `EventNodeFactory` | `name(String name)`
    `EventNodeFactory` | `scope(String scope)`
    `EventNodeFactory` | `variableName(String variableName)`

    - ### Methods inherited from class org.jbpm.ruleflow.core.factory.NodeFactory

      `done, getNode`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### EventNodeFactory

          public EventNodeFactory(RuleFlowNodeContainerFactory nodeContainerFactory,
                                  NodeContainer nodeContainer,
                                  long id)

  - ### Method Detail

    - #### createNode

          protected Node createNode()

      Specified by:
        `createNode` in class `NodeFactory`

    - #### getEventNode

          protected EventNode getEventNode()

    - #### name

          public EventNodeFactory name(String name)

    - #### variableName

          public EventNodeFactory variableName(String variableName)

    - #### eventFilter

          public EventNodeFactory eventFilter(EventFilter eventFilter)

    - #### eventType

          public EventNodeFactory eventType(String eventType)

    - #### eventTransformer

          public EventNodeFactory eventTransformer(EventTransformer transformer)

    - #### scope

          public EventNodeFactory scope(String scope)

Copyright © 2001–2018 JBoss by Red Hat. All rights reserved.